• caglararli@hotmail.com
  • 05386281520

CVE-2021-46984 | Linux Kernel up to 5.12.4 kyber qspinlock.c __blk_mq_sched_bio_merge array index

Çağlar Arlı      -    15 Views

CVE-2021-46984 | Linux Kernel up to 5.12.4 kyber qspinlock.c __blk_mq_sched_bio_merge array index

A vulnerability has been found in Linux Kernel up to 5.12.4 and classified as problematic. This vulnerability affects the function __blk_mq_sched_bio_merge of the file /kernel/locking/qspinlock.c of the component kyber. The manipulation leads to improper validation of array index. This vulnerability was named CVE-2021-46984. The attack needs to be approached within the local network. There is no exploit available. It is recommended to upgrade the affected component.